edu.sc.seis.sod.status.waveformArm

## Class LocalSeismogramTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.waveformArm.LocalSeismogramTemplate

-     public class LocalSeismogramTemplate
      extends Template

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `LocalSeismogramTemplate.Writer`

  - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSeismogramTemplate(org.w3c.dom.Element el, java.lang.String baseDir)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResult(CookieJar cj)`
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `static java.lang.String` | `getVelocityResult(java.lang.String template, CookieJar cookieJar)`
    `protected java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
    `void` | `update(java.lang.String outputLocation, CookieJar cj)`

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSeismogramTemplate

          public LocalSeismogramTemplate(org.w3c.dom.Element el,
                                         java.lang.String baseDir)
                                  throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### update

          public void update(java.lang.String outputLocation,
                             CookieJar cj)

    - #### textTemplate

          protected java.lang.Object textTemplate(java.lang.String text)

      Description copied from class: `Template`
      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### getResult

          public java.lang.String getResult(CookieJar cj)

    - #### getVelocityResult

          public static java.lang.String getVelocityResult(java.lang.String template,
                                                           CookieJar cookieJar)

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)
                                          throws ConfigurationException

      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it returns null.
      Overrides:
        `getTemplate` in class `Template`
      Throws:
        `ConfigurationException`